﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Plugins.mail
{
    public class MailSender
    {
        private readonly string _smtpServer;
        private readonly string _from;
        private readonly string _to;
        private readonly bool _disabled;

        public MailSender()
        {
            _disabled = true;
        }
        public MailSender(string smtpServer, string from, string to)
        {
            _smtpServer = smtpServer;
            _from = from;
            _to = to;
        }

        public void SendMail(string subject, string message)
        {
            if (!_disabled)
            {
                var mailMessage = new System.Net.Mail.MailMessage();
                mailMessage.To.Add(_to);
                mailMessage.Subject = subject;
                mailMessage.From = new System.Net.Mail.MailAddress(_from);
                mailMessage.Body = message;
                var smtp = new System.Net.Mail.SmtpClient(_smtpServer);
                smtp.Send(mailMessage);
            }
        }
    }
}
