﻿using System;
using System.Diagnostics;
using System.ServiceModel;
using System.ServiceProcess;
using System.Threading;
using TpiService.Tpi;

namespace TpiService
{
    partial class AlarmService : ServiceBase
    {
        private const string LogSource = "Alarm";
        private const string LogName = "AlarmLog";

        private static CommunicationInitor _communicationInitor;

        public AlarmService()
        {
            InitializeComponent();
            if (!EventLog.SourceExists(LogSource))
            {
                EventLog.CreateEventSource(LogSource, LogName);
            }
            eventLog.Source = LogSource;
            eventLog.Log = LogName;
        }

        protected override void OnStart(string[] args)
        {
            eventLog.WriteEntry("Alarmservice starting");
            _communicationInitor = new CommunicationInitor(eventLog);
        }

        protected override void OnStop()
        {
            eventLog.WriteEntry("Alarmservice stopping");
            _communicationInitor.Shutdown();
        }

        public static void ConfigChanged()
        {
            _communicationInitor.Shutdown();
            Thread.Sleep(500);
            _communicationInitor.Init();
        }

        public static void WriteMessage(string message)
        {
            _communicationInitor.Log(message);
        }

    }
}
