﻿using System;
using Common;
using Common.Commands;
using Logic.Communications;

namespace TpiService.Tpi
{
    public class LoginHandler : AbstractResponseEventHandler
    {
        private readonly Action _action;
        private readonly Action _wrongPasswordAction;

        public LoginHandler(Action continueWithLogin, Action wrongPasswordAction)
        {
            _action = continueWithLogin;
            _wrongPasswordAction = wrongPasswordAction;
        }

        public override void EventOccured(IResponse response, IReciever r)
        {
            if (ResponseCommand.LoginInteraction == response.Command)
            {
                if (response.Data.Equals("3"))
                {
                    _action.Invoke();
                }
                else if (response.Data.Equals("0"))
                {
                    _wrongPasswordAction.Invoke();
                }
            }
        }
    }
}

